Subject: reconnect suspended session failed

From: Jan Rauberg <[email-masked]>
Date: Fri, 3 Dec 2021 08:32:09 +0100

Package: x2goserver-x2goagent
Version: 4.1.0.3

Package: x2goserver-common
Version: 4.1.0.3

Package: x2goserver-xsession
Version: 4.1.0.3

Package: x2goclient
Version: 4.1.2.2

Since few day every morning I get the error from my x2goclient:

Info: Forwarding X11 connections to display ':0.0'.
Info: Forwarding auxiliary X11 connections to display ':0.0'.
Session: Session started at 'Fri Dec  3 08:03:45 2021'.
Info: Established X server connection.
Info: Using shared memory parameters 0/0K.
Error: Failure reading from the peer proxy.
Loop: PANIC! No shutdown of proxy link performed by remote proxy.
Error: Connection with remote peer broken.
Error: Please check the state of your network and retry.
Session: Terminating session at 'Fri Dec  3 08:03:48 2021'.
Session: Session terminated at 'Fri Dec  3 08:03:48 2021'.

NXPROXY - Version 3.5.99.23

That is rather annoying because I'm in home office and I need a stable 
x2go session. I have no clue what's the cause. In the future this error 
was gone after several updates to my Ubuntu 20.04 (client and server). 
But my system is updated to the very last patches. I don't know what to 
do. I'm using multiple desktops and every day I have to layout them again.

Best regards,
Jan Rauberg